Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.catalina.mbeans
Class ClassNameMBean

    java.lang.Object
      |
      +--org.apache.commons.modeler.BaseModelMBean
            |
            +--org.apache.catalina.mbeans.ClassNameMBean

All Implemented Interfaces:
  javax.management.DynamicMBean, javax.management.modelmbean.ModelMBean, javax.management.modelmbean.ModelMBeanNotificationBroadcaster, javax.management.NotificationBroadcaster, javax.management.PersistentMBean

Direct Known Subclasses:
  ConnectorMBean

public class ClassNameMBean
extends org.apache.commons.modeler.BaseModelMBean

A convenience base class for ModelMBean implementations where the underlying base class (and therefore the set of supported properties) is different for varying implementations of a standard interface. For Catalina, that includes at least the following: Connector, Logger, Realm, and Valve. This class creates an artificial MBean attribute named `className`, which reports the fully qualified class name of the managed object as its value.

Version:
  $Revision: 1.1 $ $Date: 2002/01/24 20:34:05 $
Author:
  Craig R. McClanahan

Field Summary

Fields inherited from class org.apache.commons.modeler.BaseModelMBean
`attributeBroadcaster, generalBroadcaster, info, resource`

Constructor Summary
`ClassNameMBean()` Construct a `ModelMBean` with default `ModelMBeanInfo` information.

Method Summary
`java.lang.String` | `getClassName()` Return the fully qualified Java class name of the managed object for this MBean.

Methods inherited from class org.apache.commons.modeler.BaseModelMBean
`addAttributeChangeNotificationListener, addNotificationListener, createDefaultModelMBeanInfo, getAttribute, getAttributes, getManagedResource, getMBeanInfo, getNotificationInfo, invoke, isModelMBeanInfoValid, load, removeAttributeChangeNotificationListener, removeAttributeChangeNotificationListener, removeNotificationListener, removeNotificationListener, removeNotificationListener, sendAttributeChangeNotification, sendAttributeChangeNotification, sendNotification, sendNotification, setAttribute, setAttributes, setManagedResource, setModelMBeanInfo, store`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ClassNameMBean

    public ClassNameMBean()
                   throws javax.management.MBeanException,
                          javax.management.RuntimeOperationsException

  Construct a `ModelMBean` with default `ModelMBeanInfo` information.

Throws:
  `javax.management.MBeanException` - if the initialize of an object throws an exception
  `javax.management.RuntimeOperationsException` - if an IllegalArgumentException occurs

Method Detail

### getClassName

    public java.lang.String getClassName()

  Return the fully qualified Java class name of the managed object for this MBean.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2002 Apache Software Foundation. All Rights Reserved.